/** SalariedEmployee.java models a salaried employee
 * @author Joel Adams, for Alice+Java.
 * @see Employee.java
 */
import java.util.Scanner;

public class SalariedEmployee extends Employee {
	public SalariedEmployee() {
		super();
		mySalary = 0.0;
	}
	
	public SalariedEmployee(String name, int id, double salary) {
		super(name, id);
		mySalary = salary;
	}
	
	public double getSalary() { return mySalary; }
	
	public String toString() { 
		return super.toString() + "\t" + mySalary; 
	}
	
	public double getPay() { return mySalary; }
	
	public void read(Scanner in) {
		super.read(in);
		mySalary = in.nextDouble();
	}
	
	private double mySalary;
}
